Can't install using npm #1

Closed
kapetan opened this Issue Jan 2, 2013 · 1 comment

Comments

Projects
None yet
2 participants
@kapetan

kapetan commented Jan 2, 2013

There seems to be a mismatch between the pejs version number in the package.json file and the published pejs version. I get the following error when trying to install using npm with node 0.8.14.

npm http GET https://registry.npmjs.org/response.render
npm http 304 https://registry.npmjs.org/response.render
npm http GET https://registry.npmjs.org/pejs
npm http 304 https://registry.npmjs.org/pejs
npm ERR! Error: No compatible version found: pejs@'>=0.4.1- <0.5.0-'
npm ERR! Valid install targets:
npm ERR! ["0.0.1","0.1.0","0.1.1","0.1.2","0.1.3","0.1.4","0.1.5","0.1.7","0.1.8","0.2.2","0.2.3","0.3.0","0.3.1","0.3.2","0.3.3","0.3.4","0.3.5","0.4.0"]
npm ERR!     at installTargetsError (/home/mirza/.nvm/v0.8.14/lib/node_modules/npm/lib/cache.js:563:10)
npm ERR!     at next (/home/mirza/.nvm/v0.8.14/lib/node_modules/npm/lib/cache.js:542:17)
npm ERR!     at /home/mirza/.nvm/v0.8.14/lib/node_modules/npm/lib/cache.js:522:5
npm ERR!     at saved (/home/mirza/.nvm/v0.8.14/lib/node_modules/npm/node_modules/npm-registry-client/lib/get.js:138:7)
npm ERR!     at /home/mirza/.nvm/v0.8.14/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:218:7
npm ERR!     at Object.oncomplete (fs.js:297:15)
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Linux 3.2.0-32-generic-pae
npm ERR! command "/home/mirza/.nvm/v0.8.14/bin/node" "/home/mirza/.nvm/v0.8.14/bin/npm" "install"
npm ERR! cwd /home/mirza/workspace/app/roots
npm ERR! node -v v0.8.14
npm ERR! npm -v 1.1.65
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /home/mirza/workspace/app/roots/npm-debug.log
npm ERR! not ok code 0
@mafintosh

This comment has been minimized.

Show comment
Hide comment
@mafintosh

mafintosh Jan 2, 2013

Owner

Forgot to publish new pejs version.

Fixed

Owner

mafintosh commented Jan 2, 2013

Forgot to publish new pejs version.

Fixed

@mafintosh mafintosh closed this Jan 2, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment